Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# DomainC.cpp File Reference

`#include "DomainC.h"`
`#include "IFR_Client_Adapter.h"`
`#include "Exception_Data.h"`
`#include "Invocation_Adapter.h"`
`#include "Object_T.h"`
`#include "Basic_Arguments.h"`
`#include "Object_Argument_T.h"`
`#include "Special_Basic_Arguments.h"`
`#include "ORB_Core.h"`
`#include "Typecode.h"`
`#include "ace/Dynamic_Service.h"`
`#include "DomainC.i"`

Include dependency graph for DomainC.cpp:

## Namespaces
namespace | CORBA
namespace | TAO
## Defines
#define | _CORBA_POLICY__ARG_TRAITS_CS_
#define | _CORBA_INTERFACEDEF__ARG_TRAITS_CS_
#define | _CORBA_DOMAINMANAGERLIST_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_CORBA_DomainManager (CORBA::tk_objref, sizeof(_oc_CORBA_DomainManager),(char *)&_oc_CORBA_DomainManager, 0, sizeof(CORBA::DomainManager))
CORBA::TypeCode | _tc_TAO_tc_CORBA_ConstructionPolicy (CORBA::tk_objref, sizeof(_oc_CORBA_ConstructionPolicy),(char *)&_oc_CORBA_ConstructionPolicy, 0, sizeof(CORBA::ConstructionPolicy))
CORBA::TypeCode | _tc_TAO_tc_CORBA_DomainManagerList (CORBA::tk_alias, sizeof(_oc_CORBA_DomainManagerList),(char *)&_oc_CORBA_DomainManagerList, 0, sizeof(CORBA::DomainManagerList))
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::DomainManager_ptr _tao_objref)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::DomainManager_ptr &_tao_objref)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::ConstructionPolicy_ptr _tao_objref)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::ConstructionPolicy_ptr &_tao_objref)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const CORBA::DomainManagerList &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, CORBA::DomainManagerList &_tao_sequence)
## Variables
TAO::Collocation_Proxy_Broker *(* | CORBA__TAO_DomainManager_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_CORBA_DomainManager []
TAO::Collocation_Proxy_Broker *(* | CORBA__TAO_ConstructionPolicy_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)=0
const CORBA::Long | _oc_CORBA_ConstructionPolicy []
const CORBA::Long | _oc_CORBA_DomainManagerList []

## Define Documentation

#define _CORBA_DOMAINMANAGERLIST_CS_

#define _CORBA_INTERFACEDEF__ARG_TRAITS_CS_

#define _CORBA_POLICY__ARG_TRAITS_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_CORBA_ConstructionPolicy | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_CORBA_ConstructionPolicy) | ,
|  | (char *)& | _oc_CORBA_ConstructionPolicy,
|  | 0 | ,
|  | sizeof(CORBA::ConstructionPolicy) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_DomainManager | ( | CORBA::tk_objref | ,
|  | sizeof(_oc_CORBA_DomainManager) | ,
|  | (char *)& | _oc_CORBA_DomainManager,
|  | 0 | ,
|  | sizeof(CORBA::DomainManager) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_CORBA_DomainManagerList | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_CORBA_DomainManagerList) | ,
|  | (char *)& | _oc_CORBA_DomainManagerList,
|  | 0 | ,
|  | sizeof(CORBA::DomainManagerList) |
| ) | `[static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::DomainManagerList & | _tao_sequence
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::ConstructionPolicy_ptr | _tao_objref
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const CORBA::DomainManager_ptr | _tao_objref
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::DomainManagerList & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::ConstructionPolicy_ptr & | _tao_objref
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | CORBA::DomainManager_ptr & | _tao_objref
| ) |

## Variable Documentation

const CORBA::Long _oc_CORBA_ConstructionPolicy[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      41,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x434f5242),
      ACE_NTOHL (0x412f436f),
      ACE_NTOHL (0x6e737472),
      ACE_NTOHL (0x75637469),
      ACE_NTOHL (0x6f6e506f),
      ACE_NTOHL (0x6c696379),
      ACE_NTOHL (0x3a312e30),
      ACE_NTOHL (0x0),
        19,
      ACE_NTOHL (0x436f6e73),
      ACE_NTOHL (0x74727563),
      ACE_NTOHL (0x74696f6e),
      ACE_NTOHL (0x506f6c69),
      ACE_NTOHL (0x63790000),
      }

const CORBA::Long _oc_CORBA_DomainManager[]`[static]`

| Initial value:
    {
        TAO_ENCAP_BYTE_ORDER,
      36,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x434f5242),
      ACE_NTOHL (0x412f446f),
      ACE_NTOHL (0x6d61696e),
      ACE_NTOHL (0x4d616e61),
      ACE_NTOHL (0x6765723a),
      ACE_NTOHL (0x312e3000),
        14,
      ACE_NTOHL (0x446f6d61),
      ACE_NTOHL (0x696e4d61),
      ACE_NTOHL (0x6e616765),
      ACE_NTOHL (0x72000000),
      }

const CORBA::Long _oc_CORBA_DomainManagerList[]`[static]`

TAO::Collocation_Proxy_Broker*(* CORBA__TAO_ConstructionPolicy_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0

TAO::Collocation_Proxy_Broker*(* CORBA__TAO_DomainManager_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj ) = 0